List Webhooks

This endpoint lists all webhooks associated with the authenticated organization.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Overview

This endpoint retrieves all webhooks created on the authenticated Hover organization. The response body includes all pertinent data around the webhooks that Hover is sending events to, including:

  • Organization ID
  • The listening URL
  • Verification status -- The value can be either null or a timestamp associated with the time the webhook was verified.
  • Last Error Received -- If the listening URL is returning errors to Hover and cannot consume the events, the error will be printed here.

Sample Response Body

{
    "pagination": {
        "current_page": 1,
        "total_pages": 10,
        "total": 242
    },
    "results": [
        {
            "id": 10536,
            "owner_type": "Org",
            "owner_id": 492855,
            "url": "https://customization-dream-8656-dev-ed.scratch.my.site.com/services/apexrest/HOVER4SF/hoverwebhook",
            "created_at": "2023-03-23T16:49:48.452Z",
            "updated_at": "2023-03-23T16:49:48.452Z",
            "verified_at": null,
            "hmac_secret": "b/bU0xKt4W+HmzcuREP3hGPHR1ufqGJSdLmhJTRlhCDnY5HG0XLPgbg12nsvfYcpLW6CbpBOaAl8xijP4A2t2g==",
            "last_error": null,
            "content_type": "json"
        },
        {
            "id": 10538,
            "owner_type": "Org",
            "owner_id": 492855,
            "url": "https://customization-dream-8656-dev-ed.scratch.my.site.com/services/apexrest/HOVER4SF/hoverwebhook",
            "created_at": "2023-03-23T17:11:52.673Z",
            "updated_at": "2023-03-23T17:11:52.673Z",
            "verified_at": null,
            "hmac_secret": "XT9Nmwi6ajow/3vNqhzx1TdXLhdQvkNt3SN9otQ3XBvkhzh3Sl7b2B6SnY1vQUcRWZfQ2LgOK6kgkL2UAUFaww==",
            "last_error": null,
            "content_type": "json"
        }
    ]
}
Query Params
int32
Defaults to 1

To paginate the API response if more than one page is returned

Language
Credentials
OAuth2
LoadingLoading…
Response
Click Try It! to start a request and see the response here!